Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1335)

Issue 2301463002: Added runtime flag for Gamepad Extensions (Closed)

Created:
3 years, 5 months ago by bajones
Modified:
3 years, 5 months ago
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, chromium-reviews, darin-cc_chromium.org, dglazkov+blink, jam, kinuko+watch
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Added runtime flag for Gamepad Extensions Intent to implement: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/IHrxKj4zGjg BUG=628417 Committed: https://crrev.com/1b0360c958473cc13ca4d2950fa64463a65f1f4b Cr-Commit-Position: refs/heads/master@{#416562}

Patch Set 1 #

Patch Set 2 : Fixed typo #

Patch Set 3 : Corrected ID in histograms.xml #

Total comments: 3

Patch Set 4 : Updated in response to feedback #

Patch Set 5 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -0 lines) Patch
M chrome/app/generated_resources.grd View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M content/child/runtime_features.cc View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/content_features.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_features.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/RuntimeEnabledFeatures.in View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebRuntimeFeatures.cpp View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebRuntimeFeatures.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 24 (13 generated)
bajones
jochen@: There are several Gamepad features that I would like to start landing code for ...
3 years, 5 months ago (2016-08-31 18:16:21 UTC) #3
bajones
Hm... it appears that I didn't actually add jochen@ as a reviewer last time? Oops! ...
3 years, 5 months ago (2016-09-01 20:21:32 UTC) #7
jochen (gone - plz use gerrit)
I can only approve changes to use-counter flags in histograms, the code otherwise looks good. ...
3 years, 5 months ago (2016-09-02 12:29:32 UTC) #8
Alexei Svitkine (slow)
https://codereview.chromium.org/2301463002/diff/40001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2301463002/diff/40001/tools/metrics/histograms/histograms.xml#newcode85371 tools/metrics/histograms/histograms.xml:85371: + <int value="1107169727" label="enable-gamepad-extensions"/> Actually, this is not required ...
3 years, 5 months ago (2016-09-02 15:17:04 UTC) #10
bajones
On 2016/09/02 12:29:32, jochen wrote: > I can only approve changes to use-counter flags in ...
3 years, 5 months ago (2016-09-02 18:59:27 UTC) #12
jochen (gone - plz use gerrit)
I meant that I shouldn't approve histograms.xml changes other than use counter changes. Anyways, now ...
3 years, 5 months ago (2016-09-05 09:48:53 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2301463002/60001
3 years, 5 months ago (2016-09-05 15:08:20 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/253110)
3 years, 5 months ago (2016-09-05 15:10:31 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2301463002/80001
3 years, 5 months ago (2016-09-05 17:35:40 UTC) #20
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 5 months ago (2016-09-05 19:24:54 UTC) #22
commit-bot: I haz the power
3 years, 5 months ago (2016-09-05 19:26:50 UTC) #24
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/1b0360c958473cc13ca4d2950fa64463a65f1f4b
Cr-Commit-Position: refs/heads/master@{#416562}

Powered by Google App Engine
This is Rietveld 408576698